# $Id: jargs.spec 41 2006-05-09 00:49:56Z rasan $

%define name jargs
%define version 1.0
%define release 1rr

Summary:	JArgs command line option parsing suite for Java.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		Development/Libraries
Url:		http://jargs.sourceforge.net/
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ant
BuildRequires:	junit

%description
JArgs provides a convenient, compact, pre-packaged and comprehensively
documented suite of command line option parsers for the use of Java
programmers. Initially, parsing compatible with GNU-style 'getopt' is
provided.

%prep
%setup -q

%build
ant

%install
rm -rf %{buildroot}
install -D -m 0644 lib/%{name}.jar %{buildroot}%{_datadir}/java/%{name}.jar

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENCE README TODO
%{_datadir}/java/*.jar

%changelog
* Mon Apr 03 2006 Rasan Rasch <rasan@nyu.edu> - 1.0-1rr
- Initial RPM Release
